org.apache.flume.sink

## Class SinkProcessorFactory

- java.lang.Object
- - org.apache.flume.sink.SinkProcessorFactory

-     public class SinkProcessorFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkProcessorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SinkProcessor` | `getProcessor(ComponentConfiguration conf, List<Sink> sinks)`
    `static SinkProcessor` | `getProcessor(Context context, List<Sink> sinks)` Creates a sink processor and configures it using the provided context

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkProcessorFactory

          public SinkProcessorFactory()

  - ### Method Detail

    - #### getProcessor

          public static SinkProcessor getProcessor(Context context,
                                   List<Sink> sinks)

      Creates a sink processor and configures it using the provided context

      Parameters:
        `context` - Context limited to that of the processor. Should include type and any settings relevant to that processor type. Referer to javadoc for specific sink
        `sinks` - A non-null, non-empty list of sinks to be assigned to the processor
      Returns:
        A configured SinkProcessor
      Throws:
        `FlumeException` - Runtime exception thrown in the case of an invalid processor configuration
      See Also:
        `org.apache.flume.SinkProcessorType`

    - #### getProcessor

          public static SinkProcessor getProcessor(ComponentConfiguration conf,
                                   List<Sink> sinks)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.